# $Revision: 1.13 $, $Date: 2010/03/18 17:35:14 $
%define		plugin		data
Summary:	DokuWiki Structured Data Plugin
Name:		dokuwiki-plugin-%{plugin}
Version:	20100125
Release:	1
License:	GPL v2
Group:		Applications/WWW
Source0:	http://download.github.com/splitbrain-dokuwiki-plugin-data-1e1e56a.zip
# Source0-md5:	2f1fbc2c8c88e846d5fd52c8500c0294
URL:		http://wiki.splitbrain.org/plugin:data
Patch0:		interwiki.patch
Patch1:		helper-map.patch
Patch2:		separator-style.patch
BuildRequires:	rpmbuild(macros) >= 1.520
Requires:	dokuwiki >= 20090214b-5
Requires:	php(sqlite)
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		dokuconf	/etc/webapps/dokuwiki
%define		dokudir		/usr/share/dokuwiki
%define		cachedir	/var/lib/dokuwiki/cache
%define		plugindir	%{dokudir}/lib/plugins/%{plugin}
%define		find_lang 	%{_usrlibrpm}/dokuwiki-find-lang.sh %{buildroot}

%description
This plugin allows you to add structured data to any DokuWiki page.
Think about this data as additional named attributes. Those attributes
can then be queried and aggregated. The plugin is similar to what was
done here for the repository plugin but its internals are very
different to the repository plugin.

%prep
%setup -qc -n %{plugin}
mv splitbrain-dokuwiki-plugin-data-*/* .
%patch0 -p1
%patch1 -p1
%patch2 -p1

version=$(awk '/date/{print $2}' plugin.info.txt)
if [ $(echo "$version" | tr -d -) != %{version} ]; then
	: %%{version} mismatch
	exit 1
fi

# cleanup backups after patching
find '(' -name '*~' -o -name '*.orig' ')' -print0 | xargs -0 -r -l512 rm -f

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{plugindir},%{cachedir}}
cp -a . $RPM_BUILD_ROOT%{plugindir}

touch $RPM_BUILD_ROOT%{cachedir}/dataplugin.sqlite

# find locales
%find_lang %{name}.lang

%clean
rm -rf $RPM_BUILD_ROOT

%post
# force css cache refresh
if [ -f %{dokuconf}/local.php ]; then
	touch %{dokuconf}/local.php
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%dir %{plugindir}
%{plugindir}/syntax
%{plugindir}/*.php
%{plugindir}/*.txt
%{plugindir}/*.css
%{plugindir}/*.sql
%attr(660,http,http) %ghost %{cachedir}/dataplugin.sqlite

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dokuwiki-plugin-data.spec,v $
Revision 1.13  2010/03/18 17:35:14  glen
- add <span class="sep"> to table lists as well

Revision 1.12  2010/03/18 17:18:34  glen
- up to 20100125 snap

Revision 1.11  2010/02/27 21:11:14  sparky
- unify %attr() %ghost order

Revision 1.10  2009/10/22 15:51:48  glen
- add google maps helper via _map; rel 2

Revision 1.9  2009/08/10 17:40:18  glen
- up to 20090810
- rootns patch applied:
  http://dev.splitbrain.org/darcsweb/darcsweb.cgi?r=dwplugins/data;a=commitdiff;h=20090810163355-7ad00-27c2dd29bddfa1d19a6285601d9202be41912b9e.gz;

Revision 1.8  2009/08/10 16:19:05  glen
- fix for removing pages in root namespace

Revision 1.7  2009/08/07 11:43:48  glen
- plural patch was bad idea; rel 3

Revision 1.6  2009/08/04 08:07:48  glen
- add plural.patch

Revision 1.5  2009/07/28 14:03:59  glen
- add interwiki.patch; rel 2

Revision 1.4  2009/06/16 10:05:24  glen
- rel 1

Revision 1.3  2009/06/15 20:37:05  glen
- ghost the sqlite database

Revision 1.2  2009/06/15 15:36:22  glen
- use %_usrlibrpm

Revision 1.1  2009/06/15 15:32:15  glen
- new
